Metafunction
Position
Type of an object that represents a position in a container.
Position<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Spec.Journaled String Type for which the position type is determined. Types: AlignCols, FrequencyDistribution, Gaps, Iter, std::basic_string, std::list, std::vector, String

Return Values

Type | Position type of T.

Functions

infix | Creates infix object.
infixWithLength | Creates infix object.
prefix | Creates prefix object.
setBeginPosition | Sets begin position of object in host.
setEndPosition | Sets begin position of object in host.
suffix | Creates suffix object.

Part of Concept
Container
See Also
Position Iterator, iter, Iterator, getValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50